/*--------------------------------------------------------------
 | SAS Global Forum 2016 Sample
 | The GEOCODE Procedure and SAS Visual Analytics   
 |    
 | NAME:  WorldCities.sas
 | PURPOSE: Examples of using Proc GEOCODE that checks the  
 |          World Cities location.
 | PAPER: The GEOCODE Procedure and SAS Visual Analytics
 | DATE:  16Jan2016
 +-------------------------------------------------------------*/

/**** Location where results is stored ****/
libname geo '.';

/* Find the location of the Country and City name. */
/* The Country and the city that we are looking up.*/
data Cities;
  infile datalines dlm=',';
  length country $32 city $32 state $32;
  input country city;
datalines;
France, Paris,
United States, New York,
United Kingdom, London,
Iraq, Bagdad,
;
run;

/* Method equals CITY.  The lookup file is WORLD_CITIES. */
/* The varible for country in the lookup file is ISONAME.*/
/* In the address data CITY and COUNTRY are the variables*/
/* for the city and country.                             */
 proc geocode
    method            = city                 
    data              = Cities               
    out               = geo.WorldCities       
    lookupcity        = mapsgfk.world_cities 
    lookupcountryvar  = isoname
    addresscityvar    = city                 
    addresscountryvar = country                          
    ;           
  run;

/* In VA, Choose Category: ID->Geography->Custom */